<?php

namespace App\Services\PwHexParser\Types;

use App\Services\PwHexParser\Contracts\Translate;

class PetFood extends Translate
{
    protected string $typeKey = 'PetFood';

    public function getStructure(): array
    {
        return [
            'honor' => 'int64',
            'food_mask' => 'int64',
        ];
    }

    public function getMinimumLength(): int
    {
        return 16;
    }
}